Receive Hotmail

Using current version of Foxmail, you can easily receive mails from Hotmail account. Foxmail receive Hotmail by proceed the Foxmail-Hotmail Proxy. When receiving Hotmail, Foxmail will auto activate Foxmail-Hotmail Proxy, the total operation is similar as receiving other POP3 account.

For further information of Foxmail-Hotmail Proxy, please refer to

The Mechanism of Receiving Hotmail

Hereunder is the introduction for receiving Hotmail in Foxmail.


The Mechanism of receiving Hotmail

Most of client software, such as Foxmail, Outlook Express is following POP3 protocol and to receive messages. However, MS Hotmail mail system didn't provide POP3 service but provide a special HTTP mail server.

For receiving Hotmail, Foxmail add a small tool "Foxmail-Hotmail Proxy". Foxmail-Hotmail Proxy runs as a bridge between Foxmail Client and Hotmail mail server, the relationship is shown as below:

When receiving Hotmail, Foxmail-Hotmail Proxy will run as a POP3 server, and receiving mail request from Foxmail. Foxmail-Hotmail Proxy received the request then send a HTTP command to Hotmail HTTP mail server and provide Account and Password. Hotmail HTTP mail server return the mail information to Foxmail-Hotmail Proxy, then Foxmail-Hotmail Proxy pass the mail information to Foxmail to complete the receiving.

According to above introduction, Foxmail-Hotmail Proxy run on Foxmail as the normal POP3 server, Foxmail receive mails from Foxmail-Hotmail Proxy as receiving from other POP3 server, not receiving mails from Hotmail HTTP mail server directly. So any kind of mail client support  POP3 protocol can receive Hotmail through Foxmail-Hotmail Proxy.


Hotmail config

How to configure a new account

Foxmail provides two procedure to configure Hotmail account:


How to add or configure a Hotmail account

If you need to add a new account in Foxmail, please refer to the Beginner Guide in the Help document for setting.

1.Click Account/New to add a new mail account,

2.Please type your Hotmail address (e.g. tiger@hotmail.com) in Create New User Account field, system will default Hotmail as the default mail server and automatically fill in "localhost" in POP3 Server field.

3.If Foxmail-Hotmail Proxy is running on the local PC, please keep POP3 server  field as "localhost", if Foxmail-Hotmail Proxy is running on other PC on the internet, please refer to Share Foxmail-Hotmail Proxy for settings.

4.In the POP3 Account, please type your Hotmail account name (the characters prior to "@" in your E-mail address) or the complete Hotmail E-mail address.

5.In the SMTP Server field, please type SMTP server name which other ISP provides. Users can only use E-mail Express to sent message if leave "SMTP Server" field as blank..

If the SMTP server you choose request ESMTP authentication, please set up by the following steps:

1.Right-click on the Hotmail account then select Property,

2.Click Mail server then tick the SMTP Server Needs Authentication check box, then click Setup,

3.Type your POP3 Account name and Password in the below fields.


How to configure Hotmail connection

If you need to configure a Hotmail connection under your existing E-mail account, please refer to the following steps:

1. Right-click an existing E-mail account then click the Account|Property menu item,

2.In the Account property dialog box, select Other POP3 and then click Add button to add a POP3 account.

If Foxmail-Hotmail Proxy is running on your local PC, please type "localhost" in the POP3 server field. If Foxmail-Hotmail Proxy is running on other PC in the internet, please refer to Share Foxmail-Hotmail Proxy for the setting.

3. Please type your Hotmail account name in POP3 account field or the complete Hotmail E-mail address is also acceptable.

Please notice that if Foxmail-Hotmail Proxy is running on the local PC, you must tick Auto activate Foxmail-Hotmail Proxy check box.


How to configure a service port

If the existing service port has been occupied, there will pop up a window to remind users to modify the port number.

1.Please click Foxmail-Hotmail Proxy then select Service,

2.Click Settings to start the dialog box,

3.Please modify the port number by using the number between 256 to 65536, then click OK

4.Right-click the existing Hotmail account then select Property/Mail Server/Advanced, fill in the same port number in POP3 service port.


Other Settings

1.Start the Settings dialog box and select Server, system will default Hotmail server address as the HTTP Mail Server which users do not need to modify.

2.Start the Settings dialog box and select Server, tick the Using Proxy Server check box and fill in correct proxy server name and port number, then users is allow to receive mails by this proxy server.

3.Start the Settings dialog box and select Others, there are two settings,

No check for read message  means system will not receive mails if those mails has been read in Hotmail box.

Auto-start service when OS starts means Foxmail-Hotmail Proxy will auto-activate when Windows system be started.

3.It takes longer time when receiving mails from Hotmail account  due to many steps of authentication. If it shows the error message "Network Time Out" but Foxmail-Hotmail Proxy is running normally, you should properly extend the Network Time Out limitation.

Please click Options and select Application Preference, click Network and reset the Network Time Out as 180 seconds.


Share Foxmail-Hotmail Proxy

Besides receiving mails from Hotmail account in the local PC , Foxmail-Hotmail Proxy can also be set up in a PC letting other computers receiving mails from Hotmail account by sharing this service.

By using Sharing Foxmail-Hotmail Proxy to receive mails from Hotmail account, users needs to fill up Foxmail-Hotmail Proxy server name or IP address in POP3 server field. Users also needs to make sure Foxmail-Hotmail Proxy server is running normally.

Users is able to receive mails from Hotmail account but setting up the Foxmail-Hotmail Proxy in local PC, therefore, user do not need to tick the Auto-activate Foxmail-Hotmail Proxy check box in Hotmail account dialog box.